--- title: "Get channel" slug: "sens-alimtalk-kakao-channel-get" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/sens-alimtalk-kakao-channel-get" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get channel Available in Classic and VPC Get channel information of an Alim Talk channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /alimtalk/v2/services/{serviceId}/channels | ### Request headers For information about the headers common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service request headers](/docs/en/sens-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Biz Message service ID - See [Get project list](/docs/en/sens-project-list). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sens.apigw.ntruss.com/alimtalk/v2/services/ncp:kkobizmsg:kr:27*********6:sens/channels' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createTime` | String | - | Channel creation date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `updateTime` | String | - | Channel modification date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `serviceId` | String | - | Biz Message service ID | | `channelId` | String | - | Channel ID | | `channelName` | String | - | Channel name | | `channelStatus` | String | - | Channel status - `ACTIVE` \| `DELETED` \| `DELETING_PERMANETLY` \| `PERMANENTLY_DELETED` \| `BLOCKED` \| `PENDING_DELETE` - `ACTIVE`: Normal - `DELETED`: Deleted - `DELETING_PERMANETLY`: Deleting permanently - `PERMANENTLY_DELETED`: Permanently deleted - `BLOCKED`: Blocked - `PENDING_DELETE`: Pending deletion | | `useSmsFailover` | Boolean | - | Whether to set up SMS alternate delivery - `true` \| `false` - `true`: Enable - `false`: Disable | | `failoverServiceId` | String | - | SMS service ID used for alternative delivery | | `failoverTelNo` | String | - | Caller ID | | `isBlock` | Boolean | - | Channel blocking status | | `isDormant` | Boolean | - | Channel dormancy status | ### Response status codes For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service response status codes](/docs/en/sens-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "createTime": "2025-11-25T09:53:21.365", "updateTime": "2025-11-25T09:58:23.200", "serviceId": "ncp:kkobizmsg:kr:27*********6:sens", "channelId": "@******", "channelName": "******", "channelStatus": "ACTIVE", "useSmsFailover": true, "failoverServiceId": "ncp:sms:kr:27*********6:sens", "failoverTelNo": "010********", "isBlock": false, "isDormant": false } ] ```